#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1300seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1300seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven13004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven13004xi = {
               1:'-1015x-586y562z',
                2:'-1018x-802y93z',
                3:'-1039x-529y573z',
                4:'-1057x-747y106z',
                5:'-1060x-472y585z',
                6:'-1078x-413y597z',
                7:'-1092x-354y608z',
                8:'-1094x-690y119z',
                9:'-1103x-295y620z',
                10:'-1111x-236y631z',
                11:'-1116x-176y642z',
                12:'-1117x-117y654z',
                13:'-1128x-632y132z',
                14:'-114x-1151y591z',
                15:'-1158x-571y145z',
                16:'-1185x-509y158z',
                17:'-118x-633y1129z',
                18:'-11x-12y1299z',
                19:'-1208x-446y171z',
                20:'-1228x-381y184z',
                21:'-1245x-316y197z',
                22:'-12x-185y1286z',
                23:'-131x-1247y343z',
                24:'-148x-615y1135z',
                25:'-173x-1138y603z',
                26:'-177x-595y1141z',
                27:'-18x-677y1109z',
                28:'-195x-1234y355z',
                29:'-19x-23y1299z',
                30:'-204x-574y1147z',
                31:'-20x-171y1288z',
                32:'-229x-552y1154z',
                33:'-231x-1121y614z',
                34:'-253x-529y1159z',
                35:'-259x-1219y368z',
                36:'-26x-34y1299z',
                37:'-275x-505y1165z',
                38:'-27x-157y1290z',
                39:'-288x-1102y625z',
                40:'-295x-480y1171z',
                41:'-2x-198y1284z',
                42:'-313x-454y1177z',
                43:'-31x-47y1298z',
                44:'-321x-1200y380z',
                45:'-329x-428y1182z',
                46:'-32x-143y1291z',
                47:'-343x-1079y637z',
                48:'-343x-401y1187z',
                49:'-355x-374y1193z',
                50:'-35x-59y1298z',
                51:'-363x-66y1246z',
                52:'-366x-346y1198z',
                53:'-36x-129y1293z',
                54:'-371x-88y1242z',
                55:'-374x-319y1203z',
                56:'-378x-111y1238z',
                57:'-381x-291y1208z',
                58:'-382x-1178y393z',
                59:'-383x-135y1234z',
                60:'-386x-264y1212z',
                61:'-387x-160y1230z',
                62:'-389x-185y1226z',
                63:'-389x-237y1217z',
                64:'-38x-73y1297z',
                65:'-390x-211y1221z',
                66:'-397x-1054y648z',
                67:'-39x-114y1294z',
                68:'-3x-3y1299z',
                69:'-40x-100y1295z',
                70:'-40x-86y1296z',
                71:'-442x-1153y405z',
                72:'-449x-1025y659z',
                73:'-496x-419y1125z',
                74:'-499x-995y670z',
                75:'-500x-1124y417z',
                76:'-509x-385y1132z',
                77:'-519x-352y1138z',
                78:'-519x-486y1205z',
                79:'-527x-318y1144z',
                80:'-532x-285y1150z',
                81:'-536x-251y1156z',
                82:'-538x-219y1162z',
                83:'-53x-664y1116z',
                84:'-547x-961y682z',
                85:'-54x-1162y579z',
                86:'-556x-1093y430z',
                87:'-593x-925y693z',
                88:'-611x-1058y442z',
                89:'-637x-887y704z',
                90:'-65x-1255y330z',
                91:'-663x-1021y454z',
                92:'-664x-1117y3z',
                93:'-678x-847y714z',
                94:'-713x-981y466z',
                95:'-716x-805y725z',
                96:'-722x-1080y16z',
                97:'-753x-761y736z',
                98:'-760x-939y478z',
                99:'-777x-1041y29z',
                100:'-786x-716y747z',
                101:'-805x-894y490z',
                102:'-816x-669y757z',
                103:'-830x-999y42z',
                104:'-844x-621y768z',
                105:'-847x-847y502z',
                106:'-869x-572y778z',
                107:'-86x-649y1122z',
                108:'-881x-953y55z',
                109:'-887x-798y514z',
                110:'-891x-521y789z',
                111:'-910x-470y799z',
                112:'-923x-747y526z',
                113:'-926x-419y809z',
                114:'-929x-906y68z',
                115:'-939x-367y819z',
                116:'-949x-314y829z',
                117:'-956x-262y839z',
                118:'-957x-695y538z',
                119:'-961x-210y849z',
                120:'-975x-855y80z',
                121:'-987x-641y550z',
                122:'0x-1260y318z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1300seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1300SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1300SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1300SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1300SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1300SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven13004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1300SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1300SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1300SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven13004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven13004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1300SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1300SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1300SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1300seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       